# Copyright (c) 2001
#	Phil Thompson <phil@river-bank.demon.co.uk>
# Copyright (c) 2002, 2003
#	Riverbank Computing Limited <info@riverbankcomputing.co.uk>
#
# The project file for pytquic for TQt v3.


TEMPLATE	= app
CONFIG		+= tqt console warn_on release @PYTQT_RBPROF@
INCLUDEPATH	+= @BLX_INCLUDEPATH@ $(TQTDIR)/src/3rdparty/zlib
DEFINES		+= UIC TQT_INTERNAL_XML @BLX_DEFINES@

DESTDIR		= @PYTQT_BINDIR@
TARGET		= pytquic

HEADERS		= uic.h \
		  widgetdatabase.h \
		  domtool.h \
		  parser.h \
		  widgetinterface.h

SOURCES		= main.cpp \
		  uic.cpp \
		  form.cpp \
		  object.cpp \ 
		  subclassing.cpp \
		  embed.cpp \
		  widgetdatabase.cpp \
		  domtool.cpp \
		  parser.cpp

rbprof:exists($(TQTDIR)/src/tqt_professional.pri) {
	TQT_SOURCE_TREE = $(TQTDIR)
	include($(TQTDIR)/src/tqt_professional.pri)
}
